/** Replication code for HAMANAKA (2017)**/

/*use Arab_Spring_youth_bulges.dta */

oprobit regime00_11  age15_30 republic imp_food interaction log_gdppc oil_rent

gen interaction=age15_30*imp_food
oprobit regime00_11  age15_30 republic imp_food interaction log_gdppc oil_rent

margins, at(interaction=(80000 (10000) 500000) republic=1) predict(outcome(1)) vsquish post
parmest, norestore
gen id=_n
gen interaction=id*10000+70000
label var interaction "Youth Buldge × Food Price"
twoway rarea max95 min95 interaction, pstyle(ci) || line estimate interaction, ytitle(Probability(transformation)) title(Predictive marigns with 95% confidence interval) legend(off)

/*use Arab_Spring_youth_bulges.dta */
oprobit regime00_11  age15_30 republic imp_food  log_gdppc oil_rent gini
gen interaction=age15_30*imp_food
oprobit regime00_11  age15_30 republic imp_food interaction log_gdppc oil_rent gini
